Package org.springframework.aop.aspectj.annotation

# Class BeanFactoryAspectJAdvisorsBuilder

java.lang.Object
org.springframework.aop.aspectj.annotation.BeanFactoryAspectJAdvisorsBuilder

public class BeanFactoryAspectJAdvisorsBuilder extends Object
Helper for retrieving @AspectJ beans from a BeanFactory and building Spring Advisors based on them, for use with auto-proxying.

Since:
  2.0.2
Author:
  Juergen Hoeller
See Also:
  - `AnnotationAwareAspectJAutoProxyCreator`

## Constructor Summary

Constructors
Constructor
Description
`BeanFactoryAspectJAdvisorsBuilder(org.springframework.beans.factory.ListableBeanFactory beanFactory)`
Create a new BeanFactoryAspectJAdvisorsBuilder for the given BeanFactory.
`BeanFactoryAspectJAdvisorsBuilder(org.springframework.beans.factory.ListableBeanFactory beanFactory, AspectJAdvisorFactory advisorFactory)`
Create a new BeanFactoryAspectJAdvisorsBuilder for the given BeanFactory.

## Method Summary

Modifier and Type
Method
Description
`List<Advisor>`
`buildAspectJAdvisors()`
Look for AspectJ-annotated aspect beans in the current bean factory, and return to a list of Spring AOP Advisors representing them.
`protected boolean`
`isEligibleBean(String beanName)`
Return whether the aspect bean with the given name is eligible.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BeanFactoryAspectJAdvisorsBuilder

public BeanFactoryAspectJAdvisorsBuilder(org.springframework.beans.factory.ListableBeanFactory beanFactory)
Create a new BeanFactoryAspectJAdvisorsBuilder for the given BeanFactory.

Parameters:
  `beanFactory` - the ListableBeanFactory to scan

### BeanFactoryAspectJAdvisorsBuilder

public BeanFactoryAspectJAdvisorsBuilder(org.springframework.beans.factory.ListableBeanFactory beanFactory, AspectJAdvisorFactory advisorFactory)
Create a new BeanFactoryAspectJAdvisorsBuilder for the given BeanFactory.

Parameters:
  `beanFactory` - the ListableBeanFactory to scan
  `advisorFactory` - the AspectJAdvisorFactory to build each Advisor with

## Method Details

### buildAspectJAdvisors

public List<Advisor> buildAspectJAdvisors()
Look for AspectJ-annotated aspect beans in the current bean factory, and return to a list of Spring AOP Advisors representing them.

Creates a Spring Advisor for each AspectJ advice method.

Returns:
  the list of `Advisor` beans
See Also:
  - `isEligibleBean(java.lang.String)`

### isEligibleBean

protected boolean isEligibleBean(String beanName)
Return whether the aspect bean with the given name is eligible.

Parameters:
  `beanName` - the name of the aspect bean
Returns:
  whether the bean is eligible